# Copyright 2013, Trimble Navigation Limited

# This software is provided as an example of using the Ruby interface
# to SketchUp.

# Permission to use, copy, modify, and distribute this software for 
# any purpose and without fee is hereby granted, provided that the above
# copyright notice appear in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------
# Name        :   Bezier Curve Tool 1.0
# Description :   A tool to create Bezier curves.
# Menu Item   :   Draw->Bezier Curves
# Context Menu:   Edit Bezier Curve
# Usage       :   Select 4 points-
#             :   1. Start point of the curve
#             :   2. Endpoint of the curve
#             :   3. Second control point. It determines the tangency at the
#                    start
#             :   4. Next to last control point. It determines the tangency at
#                    the end
# Date        :   8/26/2004
# Type        :   Tool
#-----------------------------------------------------------------------------

require 'sketchup.rb'
require 'extensions.rb'

module Sketchup::Samples
module Bezier
PLUGIN = self

# Create the extension.
bezier_ext = SketchupExtension.new 'Bezier Tool', 'su_bezier/bezier.rb'
bezier_ext.description = 'Bezier sample script from SketchUp.com'
bezier_ext.version =  '1.1.0'
bezier_ext.creator = "SketchUp"
bezier_ext.copyright = "2013, Trimble Navigation Limited"

# Register the extension with Sketchup so it shows up in the Preference panel.
Sketchup.register_extension bezier_ext, true

end # module Bezier
end # module Sketchup::Samples
